<?php
class Core_Validate_Inarray extends Core_Validate_Abstract
{
    // default error message
    protected $_defaultErrorMessage = 'Vrijednost nije u predefiniranim vrijednostima';

    protected $_array;

    protected function _isValid($value)
    {
        return in_array($value, $this->getArray());
    }

    public function setArray($array)
    {
        $this->_array = (array) $array;
    }

    public function getArray()
    {
        return $this->_array;
    }
}